Feature # 403 (Closed): Perseus Book Importer

Importer fails on works with no state set

11/14/2012 06:39 AM - Luke Murphey

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.1   

Description

The following works have no state sets and cannot be imported:

1    aristoph.wasps_gk.xml

2    aristoph.thes_gk.xml

3    aristoph.pl_gk.xml

4    aristoph.peace_gk.xml

5    aristoph.lys_gk.xml

6    aristoph.kn_gk.xml

7    aristoph.frogs_gk.xml

8    aristoph.eccl_gk.xml

9    aristoph.cl_gk.xml

10    aristoph.birds_gk.xml

11    aristoph.ach_gk.xml

 

reader.importer.PerseusBatchImporter: Exception generated when attempting to process file="aristop

h.wasps_gk.xml" 

Traceback (most recent call last):

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/PerseusBatchIm

porter.py", line 326, in process_directory

    if self.__process_file__( os.path.join( root, f) ):

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/PerseusBatchIm

porter.py", line 277, in __process_file__

    return self.process_file(file_path, document_xml, title, author, language)

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/PerseusBatchIm

porter.py", line 453, in process_file

    perseus_importer.import_file(file_path)

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/Perseus.py", l

ine 139, in import_file

    return self.import_xml_document(doc)

  File "/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/django/db/tr

ansaction.py", line 209, in inner

    return func(*args, **kwargs)

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/Perseus.py", l

ine 571, in import_xml_document

    current_state_set = state_sets[self.state_set]

IndexError: list index out of range

History

#1 - 11/14/2012 06:41 AM - Luke Murphey

- Description updated

- Parent task set to #403

#2 - 11/15/2012 07:09 AM - Luke Murphey

- Status changed from New to In Progress
#3 - 11/15/2012 07:16 AM - Luke Murphey

- Description updated

The following methods of PerseusTextImporter are likely to need to be modified to accept documents that do not have state sets:

is_milestone_chunk

get_state_for_milestone

is_milestone_in_state_set

#4 - 11/15/2012 07:38 AM - Luke Murphey

Looks like this was a problem with the import policy which indicated that state set one ought to be used (which doesn't exist).

#5 - 11/15/2012 06:09 PM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100
